Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513968 - Unable to use Yubikey U2F with Fedora 26 and Firefox 57
Summary: Unable to use Yubikey U2F with Fedora 26 and Firefox 57
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 12:01 UTC by Martin Stransky
Modified: 2018-05-29 08:16 UTC (History)
13 users (show)

Fixed In Version: firefox-57.0-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1513965
Environment:
Last Closed: 2018-05-29 08:16:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1416494 None None None 2019-02-07 13:50:06 UTC

Description Martin Stransky 2017-11-16 12:01:04 UTC
+++ This bug was initially created as a clone of Bug #1513965 +++

Steps to reproduce:

Try to login with a U2F Yubikey on either the Bitwarden Firefox addon or GitHub's website with Firefox 57 and Fedora 26.

The security.webauth.u2f config has been set to true.


Actual results:

The Bitwarden addon reports: U2F Error: 1
The GitHub page just says that something went wrong.

The same addon and webpage work with Firefox on Windows 10.

This is the demesg log from Fedora:
[ 2003.802889] usb 1-1.2: new full-speed USB device number 7 using ehci-pci
[ 2003.884045] usb 1-1.2: New USB device found, idVendor=1050, idProduct=0120
[ 2003.884053] usb 1-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 2003.884056] usb 1-1.2: Product: Security Key by Yubico
[ 2003.884060] usb 1-1.2: Manufacturer: Yubico
[ 2003.889952] hid-generic 0003:1050:0120.0006: hiddev96,hidraw0: USB HID v1.10 Device [Yubico Security Key by Yubico] on usb-0000:00:1d.0-1.2/input0
[ 2058.671048] usb 1-1.2: USB disconnect, device number 7

Ok, I just reproduced this on a fresh Fedora 26 install. What you need to do is the following:

> sudo dnf install u2f-hidraw-policy

Then restart. This made it work with the u2f-hid-rs Rust library used by Firefox, and by Firefox 57 itself.

Comment 1 Martin Stransky 2017-11-22 12:59:11 UTC
Building as firefox-57.0-3.fc28

Comment 2 Fedora End Of Life 2018-02-20 15:33:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Daniel 2018-05-29 03:09:43 UTC
The status of this bug should be changed to RESOLVED.


Note You need to log in before you can comment on or make changes to this bug.